Page MenuHomePhabricator

mysql-connect issues during ErfgoedBot run
Closed, ResolvedPublic

Description

the main issue seems to be calls to mysql-connect which doesn't exist in PHP 7.0. This is likely related to {T216364}where we spotted similar things.

Event Timeline

JeanFred created this task.Aug 25 2019, 9:02 AM

The reason is that the bin script is executed on a host which only has PHP 7. The API itself runs in a container with PHP 5.6, so is not affected.

Change 532229 had a related patch set uploaded (by Jean-Frédéric; owner: Jean-Frédéric):
[labs/tools/heritage@master] Switch API to use PHP 7.2

https://gerrit.wikimedia.org/r/532229

Upgrading to PHP 7.2 is somewhat overkill just to fix this… but oh well…

@JeanFred This one can be resolved right?

JeanFred closed this task as Resolved.Feb 5 2020, 8:35 AM
JeanFred claimed this task.

I guess so! I think it’s somewhat broken to execute these PHP statements in a Python container, but oh well :)

Jopparn moved this task from Non-WMSE to Done on the User-LokalProfil board.Jun 3 2020, 2:03 PM
Jopparn moved this task from Done to Non-WMSE on the User-LokalProfil board.